#
# spec file for package terminatorX
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           terminatorX
Version:        4.2.0
Release:        1699.1.pm.10
Summary:        Real-time Audio Synthesizer
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Url:            http://terminatorx.org/
Source0:        %name-%version.tar.xz
BuildRequires:  bash
BuildRequires:  fdupes
BuildRequires:  gawk
BuildRequires:  gcc-c++
BuildRequires:  ladspa-devel
BuildRequires:  libtool
BuildRequires:  mpg123
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(audiofile)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libcap)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(lrdf)
BuildRequires:  pkgconfig(mad)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  sox
BuildRequires:  update-desktop-files
BuildRequires:  vorbis-tools
BuildRequires:  yelp
BuildRequires:  yelp-tools
Requires:       ladspa
Requires:       mpg123
Requires:       sox
Requires:       vorbis-tools
Provides:       terminatorx = %version-%release

%description
Realtime audio synthesizer that allows you to "scratch" on digitally
sampled audio data (*.wav, *.au, *.mp3, etc.) the way hiphop-DJs
scratch on vinyl records. It features multiple turntables, realtime
effects (built-in as well as LADSPA plugin effects), a sequencer and an
easy-to-use GTK+ GUI.

%prep
%autosetup -p1

%build
bash -x autogen.sh
%configure \
	--enable-alsa \
	--enable-alsamidi \
	--enable-audiofile \
	--enable-capabilities \
	--disable-debug \
	--disable-deprecated \
	--enable-jack \
	--enable-legacy \
	--enable-libxml2 \
	--enable-lrdf \
	--enable-mad \
	--enable-mpg123 \
	--enable-ogg123 \
	--disable-oss \
	--enable-pulse \
	--enable-scheduler \
	--enable-sox \
	--disable-suidroot \
	--enable-vorbis \
	--enable-wav \
	--enable-x11 \
	%nil
%make_build

%install
%make_install
%suse_update_desktop_file -r %{name} Mixer
%fdupes -s %{buildroot}%{_datadir}

%post
%icon_theme_cache_post
%desktop_database_post

%postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%license COPYING*
%doc NEWS README*
%{_bindir}/%{name}
%{_datadir}/appdata/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/help/C/*
%{_datadir}/icons/*
%{_datadir}/mime-info
%{_datadir}/pixmaps/*
%{_mandir}/man?/%{name}.?%{ext_man}

%changelog
* Sun Dec 18 2016 avvissu@yandex.by
- Initial release
